using GraphicsManager.Enums;
using Luski.net;
using OpenTK.Mathematics;

namespace Luski.GUI.MainScreen.UI.PublicServers.ServerSettingPages;

public class ServerRolePage : PageBaseControl
{
    private ServerRoleInteraction Page;
    
    public ServerRolePage(PublicServer ps)
    {
        PageName = "Roles";
        Page = new(ps, this)
        {
            Location = new(0, TitleLable.Size.Y, 0),
            Anchor = ObjectAnchor.All
        };
        Controls.Add(Page);
        Globals.ms.ForceUpdate(new(Globals.ms.CS));
    }

    public override Color4 BackgroundColor
    {
        get
        {
            return base.BackgroundColor;
        }
        set
        {
            base.BackgroundColor = value;
            Page.BackgroundColor = value;
        }
    }
}